aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/menuwebsurf
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/menuwebsurf')
-rwxr-xr-xdotfiles/.local/bin/menuwebsurf23
1 files changed, 23 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/menuwebsurf b/dotfiles/.local/bin/menuwebsurf
new file mode 100755
index 0000000..7c59e3e
--- /dev/null
+++ b/dotfiles/.local/bin/menuwebsurf
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# menu prompt to open a link or search with duckduckgo if it's
+# not a url
+
+# Source settings from .bemenurc
+. ~/.config/bemenurc
+
+prompt="🌐"
+
+# Have to use this "hack" because bemenu doesn't know how to paste
+if [ "$1" = "paste" ]; then
+ prompt="$(wl-paste)"
+fi
+
+choice=$(echo "$prompt" | bemenu -i -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB") || exit 1
+
+if [ "$choice" = "🌐" ]; then
+ linkhandler
+else
+ linkhandler "$choice"
+fi
+